/**
 *
 */
package de.intevation.gnv.state;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 * 
 */
public class DefaultInputData implements InputData {

    /**
     *
     */
    private static final long serialVersionUID = 4308041648698108066L;
    
    private final static String VALUE_SEPARATOR = " , ";

    protected String   name;
    protected String   value;
    protected String[] description;
    protected Object   object;
     

    /**
     * Constructor
     */
    public DefaultInputData(String name, String value) {
        this.name = name;
        this.value = value;
    }

    public DefaultInputData(String name, Object object) {
        this.name   = name;
        this.object = object;
    }

    /**
     * @see de.intevation.gnv.state.InputData#getName()
     */
    public String getName() {
        return this.name;
    }

    /**
     * @see de.intevation.gnv.state.InputData#getValue()
     */
    public String getValue() {
        return this.value;
    }

    public void setObject(Object object) {
        this.object = object;
    }

    public Object getObject() {
        return object;
    }

    public String[] getDescription() {
        return description;
    }

    public void setDescription(String[] description) {
        this.description = description;
    }

    /**
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return this.name + "==> " + this.value;
    }

    /**
     * @see de.intevation.gnv.state.InputData#concartValue(java.lang.String)
     */
    public void concartValue(String value) {
        this.value = this.value + VALUE_SEPARATOR + value;
    }

    /**
     * @see de.intevation.gnv.state.InputData#splitValue()
     */
    public String[] splitValue() {
        if (this.value != null){
            return this.value.split(VALUE_SEPARATOR);
        }
        return null;
    }

}
